Viewing Issue Advanced Details Jump to Notes ] trackfld.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03685 Sound Minor Always Jan 24, 2010, 22:22 Jan 15, 2012, 13:54
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved   Driver trackfld.cpp
Version 0.136u1 Fixed in Version 0.144u6 Build Normal
Summary 03685: reaktor: No sound
Description No sound effects or music in Reaktor (Track & Field conversion) which worked in MAME 0.130u2.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.130u3
Affected Sets / Systems reaktor
Attached Files
 


-  Notes
User avatar
No.08018
darq
(Tester)
Jan 9, 2012, 00:49
Resolved; reaktor doesn't use latched SN76496 writes).
Here the modifications:

mame/drivers/trackfld.c (at the end of file):

static DRIVER_INIT (reaktor)
{
address_space *space = machine.device ("audiocpu")->memory ().space (AS_PROGRAM);
device_t *snsnd = machine.device ("snsnd");

space->install_legacy_write_handler (*snsnd, 0xA000, 0xA000, FUNC (konami_SN76496_direct_w));
space->unmap_write (0xC000, 0xC000);
}

.
.
.
GAME( 1987, reaktor, 0, reaktor, reaktor, reaktor, ROT90, "Zilec", "Reaktor (Track & Field conversion)", GAME_SUPPORTS_SAVE )



mame/audio/trackfld.c:

WRITE8_DEVICE_HANDLER( konami_SN76496_direct_w )
{
sn76496_w (device, offset, data);
}



mame/audio/trackfld.h (prototype):

WRITE8_DEVICE_HANDLER( konami_SN76496_direct_w );
User avatar
No.08023
hap
(Developer)
Jan 10, 2012, 02:20
No, it looks simpler than that: instead of writing to c000, reaktor reads that register to start a sound. It's fixed now.
Thanks anyway! =)
User avatar
No.08027
darq
(Tester)
Jan 10, 2012, 23:17
Nice! ...even better :) ...the important thing is that it was solved! :-D